JaxbFlushModeAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbFlushModeAttribute

    java.lang.Object
      java.lang.Enum<JaxbFlushModeAttribute>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbFlushModeAttribute

All Implemented Interfaces:
  Serializable, Comparable<JaxbFlushModeAttribute>

    public enum JaxbFlushModeAttribute

extends Enum<JaxbFlushModeAttribute>

Java class for flush-mode-attribute.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="flush-mode-attribute">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="always"/>
         <enumeration value="auto"/>
         <enumeration value="never"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ALWAYS`
`AUTO`
`NEVER`

Method Summary
`static JaxbFlushModeAttribute` | `fromValue(String v)`
`String` | `value()`
`static JaxbFlushModeAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbFlushModeAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final JaxbFlushModeAttribute ALWAYS

### AUTO

    public static final JaxbFlushModeAttribute AUTO

### NEVER

    public static final JaxbFlushModeAttribute NEVER

Method Detail

### values

    public static JaxbFlushModeAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbFlushModeAttribute c : JaxbFlushModeAttribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbFlushModeAttribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbFlushModeAttribute fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.